VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vapi::metadata::cli::CommandTypes::FormatterType Class Reference

The `Command.FormatterType` enumerated type defines supported CLI output formatter types. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, SIMPLE, TABLE, JSON, XML, CSV, HTML }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static FormatterType[] | GetValues ()
static FormatterType | ValueOf (string name)
## Static Public Attributes
static readonly FormatterType | SIMPLE = new FormatterType("SIMPLE", Values.SIMPLE)
| Displays command output as it is.
static readonly FormatterType | TABLE = new FormatterType("TABLE", Values.TABLE)
| Displays command output in table format.
static readonly FormatterType | JSON = new FormatterType("JSON", Values.JSON)
| Displays command output in JSON format.
static readonly FormatterType | XML = new FormatterType("XML", Values.XML)
| Displays command output in XML format.
static readonly FormatterType | CSV = new FormatterType("CSV", Values.CSV)
| Displays command output in CSV format.
static readonly FormatterType | HTML = new FormatterType("HTML", Values.HTML)
| Displays command output in HTML format.

## Detailed Description

The `Command.FormatterType` enumerated type defines supported CLI output formatter types.

See Command.Info.formatter .

## Member Enumeration Documentation

enum vmware::vapi::metadata::cli::CommandTypes::FormatterType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  SIMPLE | Displays command output as it is.
  TABLE | Displays command output in table format.
  JSON | Displays command output in JSON format.
  XML | Displays command output in XML format.
  CSV | Displays command output in CSV format.
  HTML | Displays command output in HTML format.

## Member Function Documentation

Values vmware::vapi::metadata::cli::CommandTypes::FormatterType::GetEnumValue | ( |  | ) | `[inline]`

static FormatterType [] vmware::vapi::metadata::cli::CommandTypes::FormatterType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vapi::metadata::cli::CommandTypes::FormatterType::IsUnknown | ( |  | ) | `[inline]`

static FormatterType vmware::vapi::metadata::cli::CommandTypes::FormatterType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly FormatterType vmware::vapi::metadata::cli::CommandTypes::FormatterType::CSV = new FormatterType("CSV", Values.CSV)`[static]`

Displays command output in CSV format.

readonly FormatterType vmware::vapi::metadata::cli::CommandTypes::FormatterType::HTML = new FormatterType("HTML", Values.HTML)`[static]`

Displays command output in HTML format.

readonly FormatterType vmware::vapi::metadata::cli::CommandTypes::FormatterType::JSON = new FormatterType("JSON", Values.JSON)`[static]`

Displays command output in JSON format.

readonly FormatterType vmware::vapi::metadata::cli::CommandTypes::FormatterType::SIMPLE = new FormatterType("SIMPLE", Values.SIMPLE)`[static]`

Displays command output as it is.

readonly FormatterType vmware::vapi::metadata::cli::CommandTypes::FormatterType::TABLE = new FormatterType("TABLE", Values.TABLE)`[static]`

Displays command output in table format.

readonly FormatterType vmware::vapi::metadata::cli::CommandTypes::FormatterType::XML = new FormatterType("XML", Values.XML)`[static]`

Displays command output in XML format.

The documentation for this class was generated from the following file:

- CommandTypes.cs